#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long t,xoric,x,y;
    cin>>t;
    bool p[t]={false};
    long long a[t],b[t];
    for(int i=0;i<t;i++)
        cin>>a[i]>>b[i];
    for(int i=0;i<t;i++)
    {
        for(int j=1;j<=sqrt(a[i]);j+=2)
        {
            x=j;
            y=a[i]/x;
            xoric=x;
            xoric^=y;
            if(xoric==b[i])
            {
                a[i]=x;
                b[i]=y;
                p[i]=true;
                break;
            }
        }
    }
    for(int i=0;i<t;i++)
    {
        if(p[i])
            cout<<a[i]<<" "<<b[i]<<endl;
        else
            cout<<-1<<endl;
    }
    return 0;
}